
-- 6.1.2.2 Basic methods on geometric objects

-- Dimension()
-- point is 0-dimension
-- linestring is 1-dimension
-- polygon is 2-dimension

declare @p geometry = 'POINT(1 1)';
declare @ls geometry = 'LINESTRING(1 1, 2 2)';
declare @poly geometry = 'POLYGON ((10 10, 10 20, 20 20, 10 10))';

select	@p.STDimension() as [PointDim],  
		@ls.STDimension() as [LSDim], 
		@poly.STDimension() as [PolyDim];

-- GeometryType()
-- returns name of GeometryType

select	@p.STGeometryType() as [PointType],  
		@ls.STGeometryType() as [LSType], 
		@poly.STGeometryType() as [PolyType];
		
-- SRID() 
-- returns the spatial reference ID
select	@p.STSrid as [PointType],  
		@ls.STSrid as [LSType], 
		@poly.STSrid as [PolyType];
