use master
go
if DATABASEPROPERTY('test', 'Version') is not null
  begin
	alter database test set single_user with rollback immediate

	drop database test
	end
go

create database test
go

use test
go

-- create type 
create type dbo.JobsTable as table (
  job_id int,
  job_desc varchar(50),
  min_lvl tinyint,
  max_lvl tinyint
)
go

create table dbo.JobsClone (
  job_id smallint identity primary key,
  job_desc varchar(50),
  min_lvl tinyint,
  max_lvl tinyint
)
go

if object_id('InsertJobs') is not null
	drop procedure InsertJobs	
go

create procedure InsertJobs (@tvp1 dbo.JobsTable readonly)
as
INSERT INTO dbo.JobsClone (job_desc, min_lvl, max_lvl)
  SELECT job_desc, min_lvl, max_lvl from @tvp1
go

SELECT * FROM dbo.JobsClone
