﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;


[Serializable]
[Microsoft.SqlServer.Server.SqlUserDefinedAggregate(Format.Native)]
public struct CovarFloat
{
    double theanswer;
    double sumproduct;
    double sum1;
    double sum2;
    int count;

    public void Init()
    {
        // Put your code here
    }

    public void Accumulate(Nullable<double> Value1, Nullable<double> Value2)
    {
        if (!Value1.HasValue)
            return;
        if (!Value2.HasValue)
            return;
        sum1 += Value1.Value;
        sum2 += Value2.Value;
        sumproduct += (Value1.Value * Value2.Value);
        count++;
    }

    public void Merge(CovarFloat Group)
    {
        sum1 += Group.sum1;
        sum2 += Group.sum2;
        sumproduct += Group.sumproduct;
        count += Group.count;
    }

    public Nullable<double> Terminate()
    {
        if (count == 0)
            return 0;

        theanswer = (sumproduct - sum2 * sum1 / count) / count;
        return theanswer;
    }

}
