
sp_configure 'show advanced options', 1
reconfigure
sp_configure 'clr enabled', 1
reconfigure


use test
go

create assembly multiparmagg from 'C:\Documents and Settings\Administrator\My Documents\Visual Studio 2008\Projects\MultiParmAgg\bin\Debug\multiparmagg.dll'
go

alter assembly multiparmagg add file from 'C:\Documents and Settings\Administrator\My Documents\Visual Studio 2008\Projects\MultiParmAgg\bin\Debug\multiparmagg.pdb'

create aggregate covar_pop(@input1 decimal(20,10), @input2 decimal(20,10))
returns decimal(20,10)
external name multiparmagg.CovarPop;
go

create aggregate covar_float(@input1 float, @input2 float)
returns float
external name multiparmagg.CovarFloat;
go

drop table test_covar;
go

create table test_covar (
  i1 decimal(20,10),
  i2 decimal(20,10)
);
go

insert test_covar values(1,7);
insert test_covar values(2,1);
insert test_covar values(3,2);
insert test_covar values(4,5);
insert test_covar values(5,7);
insert test_covar values(6,34);
insert test_covar values(7,32);
insert test_covar values(8,43);
insert test_covar values(9,87);
go

select * from dbo.test_covar;
go

select dbo.covar_pop(i1, i2) from test_covar;

-- answer should  be 59.4444444
-- http://www.java2s.com/Code/Oracle/Analytical-Functions/COVARPOPexpr1expr2returnsapopulationcovariancebetweenexpr1andexpr2.htm
select dbo.covar_float(convert(float,i1), convert(float,i2)) from test_covar;

drop aggregate covar_float;
drop aggregate covar_pop;
drop assembly multiparmagg;