﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace FilestreamForms
{
    public partial class Form1 : Form
    {
        BindingSource bindingSource1 = new BindingSource();
        BindingSource bindingSource2 = new BindingSource();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SqlDataAdapter da1 = new SqlDataAdapter(
                "select employeeid, firstname, lastname, photo from Employees",
                "server=.;integrated security=sspi;database=northwind"
                );

            dataGridView1.DataSource = bindingSource1;
            // Populate a new data table and bind it to the BindingSource.
            DataTable table = new DataTable();
            da1.Fill(table);
            bindingSource1.DataSource = table;

            // Resize the DataGridView columns to fit the newly loaded content.
            dataGridView1.AutoResizeColumns(
                DataGridViewAutoSizeColumnsMode.AllCellsExceptHeader);
            dataGridView1.AutoResizeRows(
                DataGridViewAutoSizeRowsMode.AllCellsExceptHeaders);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SqlDataAdapter da2 = new SqlDataAdapter(
                "select employeeid, firstname, lastname, photo from Employees2 order by employeeid desc",
                "server=.;integrated security=sspi;database=northwind"
                );

            dataGridView1.DataSource = bindingSource2;
            // Populate a new data table and bind it to the BindingSource.
            DataTable table = new DataTable();
            da2.Fill(table);
            bindingSource2.DataSource = table;


            // Resize the DataGridView columns to fit the newly loaded content.
            dataGridView1.AutoResizeColumns(
                DataGridViewAutoSizeColumnsMode.AllCellsExceptHeader);
            dataGridView1.AutoResizeRows(
                DataGridViewAutoSizeRowsMode.AllCellsExceptHeaders);
        }
    }
}
