--This needs a DAC connection
go
create table simon( id int identity(1,1) primary key ,col1 geometry)
go
create spatial index IX_ssimon_col1 on simon(col1) WITH (BOUNDING_BOX=(0,0,512,512), GRIDS =(LOW,LOW,LOW,LOW), drop_existing =ON) 
create spatial index IX_ssimon_col1 on simon(col1) WITH (BOUNDING_BOX=(0,0,512,512),GRIDS =(LOW,LOW,LOW,LOW),CELLS_PER_OBJECT=5,drop_existing =ON) 
go
delete from simon
insert into simon(col1) values (Geometry::Parse('Point(10 10)'))
insert into simon(col1) values (Geometry::Parse('polygon((10 10,490 10,490 490,10 490,10 10))'))
insert into simon(col1) values (Geometry::Parse('polygon((0 0,2 0,2 2,0 2,0 0))'))
insert into simon(col1) values (Geometry::Parse('polygon((2 0,2 2,4 2,4 0,2 0))'))
insert into simon(col1) values (Geometry::Parse('polygon((0 2,2 2,2 4,0 4,0 2))'))
insert into simon(col1) values (Geometry::Parse('polygon((0.5 0.5,1.5 0.5,1.5 1.5,0.5 1.5,0.5 0.5))'))
insert into simon(col1) values (Geometry::Parse('polygon((0.6 0.6,1.6 0.6,1.6 1.6,0.6 1.6,0.6 0.6))'))
insert into simon(col1) values (Geometry::Parse('polygon((2.5 2.5,3.5 2.5,3.5 3.5,2.5 3.5,2.5 2.5))'))
insert into simon(col1) values (Geometry::Parse('polygon((2 2.5,3.5 2.5,3.5 3.5,2 3.5,2 2.5))'))
insert into simon(col1) values (Geometry::Parse('linestring(2 2.5,2 3.5)'))
insert into simon(col1) values (Geometry::Parse('linestring(2 2.5,2 35)'))
insert into simon(col1) values (Geometry::Parse('linestring(2 2.5,2 65)'))

select * from sys.spatial_index_tessellations
select * from sys.spatial_indexes
select * from sys.internal_tables
select * from sys.extended_index_565577053_64000 order by pk0

sp_help 'sys.spatial_index_tessellations'
sp_help 'sys.extended_index_565577053_64000'
go
set nocount on
declare @i int = 0
while @i < 10000
  begin
  insert into simon select Geometry::Point(cast(cast(newid() as varbinary(4))as int)%100,cast(cast(newid() as varbinary(4))as int)%100,0)
  set @i += 1
  end
go
sp_help 'sys.[GetPlanarGeometryTessellation_VarBinary]'
select * from sys.[GetPlanarGeometryTessellation_VarBinary]
(Geometry::Parse('POLYGON((1 1,1 256,256 256,256 1,1 1))')
,0,0, 512,512,3,3,3,3,16,0)

select * from sys.[GetPlanarGeometryTessellation_VarBinary]
(Geometry::Parse('POLYGON((0 0,0 10,10 10,10 0,0 0))')
,0,0, 512,512,3,3,3,3,16,1)


select * from sys.[GetPlanarGeometryTessellation_VarBinary]
(Geometry::Parse('LINESTRING(0 0, 102 123)')
,0,0, 512,512,3,3,3,3,20,1)
go
select 16*16*16*16
go
select * 
from simon
where col1.STIntersects('POLYGON((10 10,300 10, 300 300, 10 300, 10 10))')= 1

select * 
from simon
where col1.STIntersects('POLYGON((10 10,300 10, 300 300, 10 300, 10 10))')= 1


